<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_152) on Tue Dec 04 18:10:20 CST 2018 -->
<title>Uses of Package projectx.engine.managers.entities</title>
<meta name="date" content="2018-12-04">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package projectx.engine.managers.entities";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?projectx/engine/managers/entities/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Uses of Package projectx.engine.managers.entities" class="title">Uses of Package<br>projectx.engine.managers.entities</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../projectx/engine/managers/entities/package-summary.html">projectx.engine.managers.entities</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#projectx.engine.controls.ai">projectx.engine.controls.ai</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#projectx.engine.glgfx">projectx.engine.glgfx</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#projectx.engine.managers.entities">projectx.engine.managers.entities</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#projectx.engine.managers.entities.creatures">projectx.engine.managers.entities.creatures</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#projectx.engine.managers.entities.nonmoving">projectx.engine.managers.entities.nonmoving</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#projectx.engine.managers.entities.objects">projectx.engine.managers.entities.objects</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#projectx.engine.utils">projectx.engine.utils</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#projectx.engine.worlds">projectx.engine.worlds</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.controls.ai">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../projectx/engine/managers/entities/package-summary.html">projectx.engine.managers.entities</a> used by <a href="../../../../projectx/engine/controls/ai/package-summary.html">projectx.engine.controls.ai</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../projectx/engine/managers/entities/class-use/Entity.html#projectx.engine.controls.ai">Entity</a>
<div class="block">This class is a template for all entities</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.glgfx">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../projectx/engine/managers/entities/package-summary.html">projectx.engine.managers.entities</a> used by <a href="../../../../projectx/engine/glgfx/package-summary.html">projectx.engine.glgfx</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../projectx/engine/managers/entities/class-use/Entity.html#projectx.engine.glgfx">Entity</a>
<div class="block">This class is a template for all entities</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.managers.entities">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../projectx/engine/managers/entities/package-summary.html">projectx.engine.managers.entities</a> used by <a href="../../../../projectx/engine/managers/entities/package-summary.html">projectx.engine.managers.entities</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../projectx/engine/managers/entities/class-use/Entity.html#projectx.engine.managers.entities">Entity</a>
<div class="block">This class is a template for all entities</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.managers.entities.creatures">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../projectx/engine/managers/entities/package-summary.html">projectx.engine.managers.entities</a> used by <a href="../../../../projectx/engine/managers/entities/creatures/package-summary.html">projectx.engine.managers.entities.creatures</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../projectx/engine/managers/entities/class-use/Entity.html#projectx.engine.managers.entities.creatures">Entity</a>
<div class="block">This class is a template for all entities</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.managers.entities.nonmoving">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../projectx/engine/managers/entities/package-summary.html">projectx.engine.managers.entities</a> used by <a href="../../../../projectx/engine/managers/entities/nonmoving/package-summary.html">projectx.engine.managers.entities.nonmoving</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../projectx/engine/managers/entities/class-use/Entity.html#projectx.engine.managers.entities.nonmoving">Entity</a>
<div class="block">This class is a template for all entities</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.managers.entities.objects">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../projectx/engine/managers/entities/package-summary.html">projectx.engine.managers.entities</a> used by <a href="../../../../projectx/engine/managers/entities/objects/package-summary.html">projectx.engine.managers.entities.objects</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../projectx/engine/managers/entities/class-use/Entity.html#projectx.engine.managers.entities.objects">Entity</a>
<div class="block">This class is a template for all entities</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.utils">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../projectx/engine/managers/entities/package-summary.html">projectx.engine.managers.entities</a> used by <a href="../../../../projectx/engine/utils/package-summary.html">projectx.engine.utils</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../projectx/engine/managers/entities/class-use/Entity.html#projectx.engine.utils">Entity</a>
<div class="block">This class is a template for all entities</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.worlds">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../projectx/engine/managers/entities/package-summary.html">projectx.engine.managers.entities</a> used by <a href="../../../../projectx/engine/worlds/package-summary.html">projectx.engine.worlds</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../projectx/engine/managers/entities/class-use/EntityManager.html#projectx.engine.worlds">EntityManager</a>
<div class="block">This class manages all entities</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?projectx/engine/managers/entities/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
